From 0b39f6f60c5a768bb351affe31ba43d33fb24b0c Mon Sep 17 00:00:00 2001
From: Charles Plessy <plessy@debian.org>
Date: Wed, 26 Oct 2011 08:44:26 +0900
Subject: [PATCH] Document how version numbers indicate NMUs and native
 packages.

Closes: #542288
---
 policy.sgml |   26 ++++++++++++++++++++++++++
 1 files changed, 26 insertions(+), 0 deletions(-)

diff --git a/policy.sgml b/policy.sgml
index 38f2096..a556820 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -3211,6 +3211,32 @@ Package: libc6
 	  </p>
 
 	  <p>
+	    In the Debian archive, version numbers convey the following information:
+	    <list>
+	      <item>
+		The absence of <var>debian_revision</var>, and therefore of
+		hyphen in the version number, indicates that the package is
+		native.
+	      </item>
+	      <item>
+	        <var>debian_version</var> numbers ending by <tt>.</tt> followed
+		by a number indicate a NMU (non-maintainer upload) of
+		non-native package.
+	      </item>
+	      <item>
+		<var>upstream_version</var> numbers of native packages ending
+		by <tt>+nmu</tt> followed by a number indicate a NMU.
+	      </item>
+	      <item>
+		<var>upstream_version</var> numbers of native packages or
+		<var>debian_revision</var> numbers of non-native packages
+		ending by <tt>+b</tt> followed by a number indicate a binary
+		NMU.
+	      </item>
+	    </list>
+	  </p>
+
+	  <p>
 	    When comparing two version numbers, first the <var>epoch</var>
 	    of each are compared, then the <var>upstream_version</var> if
 	    <var>epoch</var> is equal, and then <var>debian_revision</var>
-- 
1.7.5.4

